import java.io.*;

public class ThreadIHMReceive implements Runnable {
    private SocketClient client;
    private IHM clientIHM;

    ThreadIHMReceive(SocketClient c, IHM ui) {
        client = c;
        clientIHM = ui;
    }

    public void run() {
        try {
            boolean end = false;
            //FIXME: not exiting properly randomly from that loop!
            while (!end) {
                String rline = client.receiveMsg();
                if (rline.equals(".")) {
                    end = true;
                }
                clientIHM.writeMessage(rline);
                System.out.println(Thread.currentThread().getName() + " a recu " + rline);
            }
        }
        catch (IOException e) {
            System.err.println("IOException: " + e);
            e.printStackTrace();
        }
    }
}
